using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WinGridDataOrganization
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            dataSet1.DataTable1.Rows.Add(1, "Category 1");
            dataSet1.DataTable1.Rows.Add(2, "Category 2");

            dataSet1.DataTable2.Rows.Add(1, "Number 1", 14);
            dataSet1.DataTable3.Rows.Add(1, "Boolean 1", false);
            dataSet1.DataTable4.Rows.Add(1, "List 1", 2);

            dataSet1.DataTable2.Rows.Add(2, "Number 2", 20);
            dataSet1.DataTable3.Rows.Add(2, "Boolean 2", true);
            dataSet1.DataTable4.Rows.Add(2, "List 2", 1);


            dataSet1.DataTable5.Rows.Add(1, "value 1");
            dataSet1.DataTable5.Rows.Add(2, "value 2");
            dataSet1.DataTable5.Rows.Add(3, "value 3");
            ultraGrid1.Rows.ExpandAll(true);

        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
          
            foreach (UltraGridBand band in e.Layout.Bands)
            {               
                    band.ColHeadersVisible = false;              
                    band.Columns["CategoryID"].Hidden = true;
                    if (band.Key == "DataTable1_DataTable4")
                    { 
                        UltraCombo combo=new UltraCombo();
                        combo.DataSource = dataSet1.DataTable5;
                        combo.DisplayMember = "Value";
                        combo.ValueMember = "ValueID";
                        band.Columns["Value"].EditorComponent = combo;
                    }
               
            }
        }
    }
}